#include "arduino_secrets.h"
// Stepper - Version: Latest 


/* 
  Sketch generated by the Arduino IoT Cloud Thing "NOEMI"
  https://create.arduino.cc/cloud/things/7ddcc908-243a-4ce4-bc2a-8b9e168e9190 

  Arduino IoT Cloud Properties description

  The following variables are automatically generated and updated when changes are made to the Thing properties

  CloudTemperatureSensor temperature;
  CloudRelativeHumidity humidity;
  bool luce;
  bool ventola;

  Properties which are marked as READ/WRITE in the Cloud Thing will also have functions
  which are called when their values are changed from the Dashboard.
  These functions are generated with the Thing and added at the end of this sketch.
*/

#include "thingProperties.h"
#include <dht.h>

#define lucePin 5
#define ventolaPin 4
#define dht_apin 3 
 
dht DHT;


void setup() {
  // Initialize serial and wait for port to open:
  // This delay gives the chance to wait for a Serial Monitor without blocking if none is found
  pinMode(lucePin,OUTPUT);
  pinMode(ventolaPin,OUTPUT);
  Serial.begin(9600);
  delay(500);
  Serial.println("DHT11 Humidity & temperature Sensor\n\n");
  delay(1000);//Wait before accessing Sensor

  //Defined in thingProperties.h
  initProperties();

  // Connect to Arduino IoT Cloud
  ArduinoCloud.begin(ArduinoIoTPreferredConnection);
  
  /*
     The following function allows you to obtain more information
     related to the state of network and IoT Cloud connection and errors
     the higher number the more granular information you’ll get.
     The default is 0 (only errors).
     Maximum is 4
 */
  setDebugMessageLevel(2);
  ArduinoCloud.printDebugInfo();
}

void loop() {
  ArduinoCloud.update();
  // Your code here 
 
    DHT.read11(dht_apin);
    
    Serial.print("Current humidity = ");
    Serial.print(DHT.humidity);
    Serial.print("%  ");
    humidity = (DHT.humidity);
    Serial.print("temperature = ");
    Serial.print(DHT.temperature); 
    Serial.println("C  ");
    temperature = (DHT.temperature);
    
    delay(1500);//Wait 1.5 seconds before accessing sensor again.
    
    if (DHT.temperature < 37.7, DHT.humidity > 57) {
    digitalWrite(lucePin, HIGH);
    digitalWrite(ventolaPin, LOW); 
    }
    else if (DHT.temperature > 37.7, DHT.humidity < 57) {
       digitalWrite(lucePin, LOW);
       digitalWrite(ventolaPin, HIGH); 
    }
}




void onLuceChange() {
  // Do something

}


void onVentolaChange() {
  // Do something
 
}










































